import { createMuiTheme } from '@material-ui/core/styles'

const grey1 = '#dae1e2'
const grey2 = '#cedddd'
const grey3 = '#6c8084'
const grey4 = '#495d60'
const grey5 = '#274549'

const violet1 = '#1F1641'
const violet2 = '#512039'

// Oranges
const orange1 = '#f9d9b1'
const orange2 = '#f4cc9a'

// Greens
const green5 = '#313c2e'

// Blues 
const aqua3 = '#62acb5'

// Misc.. 
const sea_foam = '#a5c0ad'

/* Palette generated by Material Palette - materialpalette.com/blue-grey/blue-grey */

// .dark - primary - color    { background: #455A64; }
// .default -primary - color { background: #607D8B; }
// .light - primary - color   { background: #CFD8DC; }
// .text - primary - color    { color: #FFFFFF; }
// .accent - color          { background: #607D8B; }
// .primary - text - color    { color: #212121; }
// .secondary - text - color  { color: #757575; }
// .divider - color         { border - color: #BDBDBD; }



export default createMuiTheme({
  palette: {
    common: {
      grey1: `${grey1}`,
      grey2: `${grey2}`,
      grey3: `${grey3}`,
      grey4: `${grey4}`,
      grey5: `${grey5}`,
      violet1: `${violet1}`,
      orange1: `${orange1}`,
      orange2: `${orange2}`,
      aqua3: `${aqua3}`,
      sea_foam: `${sea_foam}`,
      green5: `${green5}`,
      violet2: `${violet2}`,

    },
    primary: {
      main: `${grey1}`
    },
    secondary: {
      main: `${grey4}`,
    },


  },
  typography: {
    tab: {
      fontFamily: 'Raleway',
      textTransform: 'none',
      fontWeight: '700',
      fontSize: '1.2rem',
    },
    estimate: {
      fontSize: '1.3rem',
      textTransform: 'none',
      textDecoration: 'none',
      fontFamily: 'Teko',
      color: 'white',
      backgroundColor: grey4
    },
    h1: {
      fontFamily: 'Open Sans',
      fontWeight: 600,
      fontSize: '2rem',
      color: grey5,
      lineHeight: 1.6,
    },
    h2: {
      fontFamily: 'Open Sans',
      fontWeight: 600,
      fontSize: '1.8rem',
      color: 'white',
      lineHeight: 1.4,
    },
    h3: {
      fontFamily: 'Open Sans',
      fontWeight: 600,
      fontSize: '1.7rem',
      color: violet1,
      lineHeight: 1.5,
    },
    h4: {
      fontFamily: 'Open Sans',
      fontWeight: 600,
      fontSize: '1.6rem',
      color: grey5,
      lineHeight: 1.3
    },
    h5: {
      fontFamily: 'Open Sans',
      fontWeight: 600,
      fontSize: '1.4rem',
      color: grey3,
      lineHeight: 1.3
    },
    subtitle1: {
      fontFamily: 'Open Sans',
      color: grey5,
      fontWeight: 500,
      fontSize: '1rem',
      lineHeight: 1.2
    },
    subtitle2: {
      fontFamily: 'Open Sans',
      color: 'white',
      fontSize: '1rem',
      fontWeight: 400
    },
    body1: {
      fontSize: '1rem',
      fontFamily: 'Open Sans',
      color: grey3,
      fontWeight: '300'
    },
    caption: {
      fontSize: '1rem',
      fontWeight: 400,
      color: violet1,
    },
    learnButton: {
      borderColor: grey4,
      borderWidth: 2,
      textTransform: 'none',
      textDecoration: 'none',
      textDecorationStyle: 'none',
      borderRadius: 50,
      fontFamily: 'Teko',
      fontWeight: '600',
      color: grey4,
    },
  }
})